Skip navigation

OnBase: Web Browser Compatibility

Disable any pop-up blockers for OnBase.

Supported browsers:

  • Chrome: version 49+
  • Edge: version 38+ with limited functionality: no support for workflow or workview applications
  • Firefox: version 45+ or 45 ESR
  • Internet Explorer: version 11
    • Two ActiveX add-ons must be installed to use AIR. Users without administrator rights on their workstations must contact their IT support person to install these add-ons.
  • Safari: versions 6.2, 7.1, 8.0, 9.0, 10.0, & 10.1